package com.ho.business.service;

import com.ho.datacollect.api.vo.req.add.TdBase;

/**
 * @author fancl
 * @desc: 拼接子表名
 * @date 2022/9/7
 */
public interface JoinTbSuffixService {

    //包pack的后缀名
    String getTdPackSuffix(TdBase tdAddBase);

    //簇的后缀名
    String getTdClusterSuffix(TdBase tdAddBase);

    //堆的后缀名
    String getTdStackSuffix(TdBase tdAddBase);

    //电站遥测后缀名
    String getStationYcSuffix(TdBase tdAddBase);

    String getTdWarehouseSuffix(TdBase tdAddBase);
    //光伏逆变器后缀名
    String getPvEnergySuffix(TdBase tdAddBase);

    //逆变器后缀名
    String getTdInverterSuffix(TdBase tdAddBase);
}
